Results 1 to 3 of 3

Thread: Issue installing dependencies on ubuntu raring (13.04)

  1. #1
    Join Date
    Jun 2006
    Location
    Portugal
    Posts
    525

    Default Issue installing dependencies on ubuntu raring (13.04)

    I was trying to run
    Code:
    phoronix-test-suite install 1312061-SO-CHROMEBOO30
    but it fails to install the dependencies due to an apt issue:

    Code:
    The following dependencies are needed and will be installed: 
    
    - libsdl1.2-dev
    - libsdl-gfx1.2-dev
    - libsdl-net1.2-dev
    - libsdl-image1.2-dev
    - libsdl-ttf2.0-dev
    - libsdl-mixer1.2-dev
    - gfortran
    - libopenmpi-dev
    - openmpi-bin
    - libmpich2-dev
    - libmpich-dev
    - libblas-dev
    - libatlas-base-dev
    - liblapack-dev
    - libvorbis-dev
    
    This process may take several minutes.
    Reading package lists...
    Building dependency tree...
    Reading state information...
    Package libmpich-dev is a virtual package provided by:
      libmpich1.0-dev 1.2.7-10ubuntu1
      libmpich-shmem1.0-dev 1.2.7-10ubuntu1
      libmpich-mpd1.0-dev 1.2.7-10ubuntu1
    
    
    There are dependencies still missing from the system:
    - Basic Linear Algebra Sub-Routine Library
    - Fortran Compiler
    - Linear Algebra Pack
    - Linear Algebra Pack
    - OpenMPI
    - SDL Development Files
    - Vorbis Audio Development Files
    I'm guessing the dependencies for one of the tests needs to be updated. I have Ubuntu raring 13.04 64-bit.

  2. #2

    Default

    Quote Originally Posted by [Knuckles] View Post
    I was trying to run
    Code:
    phoronix-test-suite install 1312061-SO-CHROMEBOO30
    but it fails to install the dependencies due to an apt issue:

    Code:
    The following dependencies are needed and will be installed: 
    
    - libsdl1.2-dev
    - libsdl-gfx1.2-dev
    - libsdl-net1.2-dev
    - libsdl-image1.2-dev
    - libsdl-ttf2.0-dev
    - libsdl-mixer1.2-dev
    - gfortran
    - libopenmpi-dev
    - openmpi-bin
    - libmpich2-dev
    - libmpich-dev
    - libblas-dev
    - libatlas-base-dev
    - liblapack-dev
    - libvorbis-dev
    
    This process may take several minutes.
    Reading package lists...
    Building dependency tree...
    Reading state information...
    Package libmpich-dev is a virtual package provided by:
      libmpich1.0-dev 1.2.7-10ubuntu1
      libmpich-shmem1.0-dev 1.2.7-10ubuntu1
      libmpich-mpd1.0-dev 1.2.7-10ubuntu1
    
    
    There are dependencies still missing from the system:
    - Basic Linear Algebra Sub-Routine Library
    - Fortran Compiler
    - Linear Algebra Pack
    - Linear Algebra Pack
    - OpenMPI
    - SDL Development Files
    - Vorbis Audio Development Files
    I'm guessing the dependencies for one of the tests needs to be updated. I have Ubuntu raring 13.04 64-bit.
    What version of PTS you running?

  3. #3
    Join Date
    Jun 2006
    Location
    Portugal
    Posts
    525

    Default

    I'm running the latest stable version, 4.8.6.

    The strange thing is, the bug seems to be in the installation code, not on the dependency detection code, as after I manually installed the dependencies listed, and picked one of the candidates for libmpich-dev, pts correctly detected them all and did not complain about any missing dependencies.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •